# column-control

This is the base class for all column components.

## Implementation  Details

## Class inheritance

ColumnControlComponent extends [BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md).

## Support

### Properties

| Property                     | Get/Set | Notify Changes | Details                                                                                                                                                                 |
| ---------------------------- | ------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| columnId: number             | Yes/No  | No             | Get the columnId for the control.                                                                                                                                       |
| disabled: boolean            | Yes/No  | No             | Returns the enabled value of the model.                                                                                                                                 |
| displayOnly: boolean         | Yes/No  | No             | Returns the DisplayOnly value of the model.                                                                                                                             |
| modelData: any               | Yes/Yes | No             | Returns the component modelData.                                                                                                                                        |
| name: string                 | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md)  |
| protect: boolean             | Yes/Yes | No             | Returns the protect value of the model.                                                                                                                                 |
| required: boolean            | Yes/Yes | No             | Returns the required value of the model.                                                                                                                                |
| tabSequence: number          | Yes/Yes | No             | Returns the required value of the model.                                                                                                                                |
| text: string                 | Yes/No  | Yes            | Sets the text value of the model.                                                                                                                                       |
| visible: boolean             | Yes/Yes | No             | Inherited from BaseControlComponent [see BaseControlComponent](/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/base-component.md). |
| visualControlType: StyleType | Yes/No  | No             | Get the style type for the current column.                                                                                                                              |

### Events

| Event       | Supported | Parameter       | Details                       |
| ----------- | --------- | --------------- | ----------------------------- |
| doubleclick | Yes       | **$event**: any | Triggers `doubleclick` Event. |
| itemchanged | Yes       | **$event**: any | Triggers `itemchanged` Event. |
| losefocus   | Yes       | **$event**: any | Triggers `losefocus` Event.   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/powerbuilder-kendo-components/base-components/column-control.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
